NX Open C++ Reference Guide
|
Represents a sketch
Use the SketchCollection class to create a sketch.
More...
Classes | |
struct | ConstraintGeometry |
Used by the create geometric constraint methods to indicate what geometry the constraint should be applied to. More... | |
struct | ConstraintGeometryHelp |
Used by several constraint creation methods that need a help point or parameter to indicate how to create the constraint. More... | |
struct | CopyObjectData |
This structure represents a map between the original object to be copied and the corresponding copied object. More... | |
struct | DimensionGeometry |
Used in the dimension creation methods to indicate what geometry to create the dimension on. More... | |
Public Member Functions | |
void | Activate (NXOpen::Sketch::ViewReorient orientView) |
Activates the sketch Created in NX3.0.0. | |
void | AddGeometry (NXOpen::DisplayableObject *crv, NXOpen::Sketch::InferConstraintsOption inferCoincidentConstraints) |
Adds a curve or point to the sketch Created in NX3.0.0. | |
void | AddGeometry (NXOpen::DisplayableObject *crv) |
Adds a curve or point to the sketch. | |
void | AddGeometry (NXOpen::Curve *crv, NXOpen::Sketch::InferConstraintsOption inferCoincidentConstraints, NXOpen::Sketch::AddEllipseOption ellipseOption) |
Adds a curve or point to a sketch. | |
void | AddGeometry (NXOpen::Sketch::InferConstraintsOption inferCoincidentConstraints, NXOpen::Sketch::AddEllipseOption ellipseOption, const std::vector< NXOpen::SmartObject * > &curvesOrPoints) |
Adds an array of curves or points to a sketch. | |
NXOpen::ISurface * | AttachPlane () |
Returns the plane that the sketch is attached to Created in NX3.0.0. | |
std::vector < NXOpen::SketchConstraint * > | AutoConstrain (double linearTolerance, double angularTolerance, bool allowRemoteConstraints, const std::vector< NXOpen::SmartObject * > &geometries, const std::vector< NXOpen::Sketch::ConstraintType > &autoconstraintTypes) |
Creates Automatic Constraints on input set of geometries. | |
std::vector< NXOpen::NXObject * > | CopyObjects (const std::vector< NXOpen::NXObject * > &inputObjects) |
Creates copies of input objects and constraints between these objects. | |
void | CopyObjectsWithDimensionOutput (const std::vector< NXOpen::NXObject * > &inputObjects, std::vector< NXOpen::NXObject * > &outputObjects, std::vector< NXOpen::NXObject * > &outputDims) |
Creates copies of input objects and constraints between these objects. | |
std::vector < NXOpen::Sketch::CopyObjectData > | CopyObjectsWithTracking (const std::vector< NXOpen::DisplayableObject * > &inputObjects) |
Creates copies of input objects and constraints between these objects. | |
NXOpen::SketchGeometricConstraint * | CreateCoincidentConstraint (const NXOpen::Sketch::ConstraintGeometry &geom1, const NXOpen::Sketch::ConstraintGeometry &geom2) |
Creates a coincident constraint. | |
NXOpen::SketchGeometricConstraint * | CreateCollinearConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom1, const NXOpen::Sketch::ConstraintGeometry &conGeom2) |
Creates a collinear constraint. | |
NXOpen::SketchGeometricConstraint * | CreateConcentricConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom1, const NXOpen::Sketch::ConstraintGeometry &conGeom2) |
Creates a concentric constraint. | |
NXOpen::SketchGeometricConstraint * | CreateConstantAngleConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom) |
Creates a constant angle constraint. | |
NXOpen::SketchGeometricConstraint * | CreateConstantLengthConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom) |
Creates a constant length constraint. | |
NXOpen::SketchDimensionalConstraint * | CreateDiameterDimension (const NXOpen::Sketch::DimensionGeometry &dimObject1, const NXOpen::Point3d &dimOrigin, NXOpen::Expression *expression) |
Creates a diameter dimension constraint. | |
NXOpen::SketchDimensionalConstraint * | CreateDiameterDimension (const NXOpen::Sketch::DimensionGeometry &dimObject1, const NXOpen::Point3d &dimOrigin, NXOpen::Expression *expression, NXOpen::Sketch::DimensionOption refDim) |
Creates a diameter dimension constraint. | |
NXOpen::SketchDimensionalConstraint * | CreateDimension (NXOpen::Sketch::ConstraintType dimType, const NXOpen::Sketch::DimensionGeometry &dimObject1, const NXOpen::Sketch::DimensionGeometry &dimObject2, const NXOpen::Point3d &dimOrigin, NXOpen::Expression *expression) |
Creates a dimension between two geometric objects. | |
NXOpen::SketchDimensionalConstraint * | CreateDimension (NXOpen::Sketch::ConstraintType dimType, const NXOpen::Sketch::DimensionGeometry &dimObject1, const NXOpen::Sketch::DimensionGeometry &dimObject2, const NXOpen::Point3d &dimOrigin, NXOpen::Expression *expression, NXOpen::Sketch::DimensionOption refDim) |
Creates a dimension between two geometric objects. | |
NXOpen::SketchGeometricConstraint * | CreateEqualLengthConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom1, const NXOpen::Sketch::ConstraintGeometry &conGeom2) |
Creates an equal length constraint. | |
NXOpen::SketchGeometricConstraint * | CreateEqualRadiusConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom1, const NXOpen::Sketch::ConstraintGeometry &conGeom2) |
Creates an equal radius constraint. | |
NXOpen::SketchGeometricConstraint * | CreateFixedConstraint (const NXOpen::Sketch::ConstraintGeometry &geom) |
Creates a fixed constraint. | |
std::vector < NXOpen::SketchGeometricConstraint * > | CreateFullyFixedConstraints (const NXOpen::Sketch::ConstraintGeometry &geom) |
Creates enough fixed constraints on the curve and all of its vertices such that the geometry is fully fixed without any redundant fixed constraints. | |
NXOpen::SketchGeometricConstraint * | CreateHorizontalConstraint (const NXOpen::Sketch::ConstraintGeometry &geom) |
Creates a horizontal constraint. | |
NXOpen::Sketch::CreateInferConstraintSetting | CreateInferConstraintsSetting () |
Returns the toggle that controls the creation of infer constraints in sketch Created in NX4.0.0. | |
NXOpen::SketchGeometricConstraint * | CreateMidpointConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom1, const NXOpen::Sketch::ConstraintGeometry &conGeom2) |
Creates a midpoint constraint. | |
NXOpen::SketchGeometricConstraint * | CreateNonUniformScaledConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom) |
Creates a non-uniform scale constraint. | |
NXOpen::SketchGeometricConstraint * | CreateNormalConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom1, const NXOpen::Sketch::ConstraintGeometryHelp &geom1Help, const NXOpen::Sketch::ConstraintGeometry &conGeom2, const NXOpen::Sketch::ConstraintGeometryHelp &geom2Help) |
Creates a normal constraint. | |
NXOpen::SketchGeometricConstraint * | CreateParallelConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom1, const NXOpen::Sketch::ConstraintGeometry &conGeom2) |
Creates a parallel constraint. | |
NXOpen::SketchDimensionalConstraint * | CreatePerimeterDimension (const std::vector< NXOpen::Curve * > &curves, const NXOpen::Point3d &dimOrigin, NXOpen::Expression *expression) |
Creates a perimeter dimension constraint. | |
NXOpen::SketchGeometricConstraint * | CreatePerpendicularConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom1, const NXOpen::Sketch::ConstraintGeometry &conGeom2) |
Creates a perpendicular constraint. | |
NXOpen::SketchHelpedGeometricConstraint * | CreatePointOnCurveConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom1, const NXOpen::Sketch::ConstraintGeometry &conGeom2, const NXOpen::Sketch::ConstraintGeometryHelp &help) |
Creates a point on curve constraint. | |
NXOpen::SketchHelpedGeometricConstraint * | CreatePointOnStringConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom1, const std::vector< NXOpen::Curve * > &curvesInString, const NXOpen::Sketch::ConstraintGeometryHelp &helpData, int curveWhichHelpParamAppliesTo) |
Creates a point on string constraint. | |
NXOpen::SketchHelpedGeometricConstraint * | CreatePointOnStringConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom1, NXOpen::Curve *curveInString, const NXOpen::Sketch::ConstraintGeometryHelp &helpData) |
Creates a point on string constraint. | |
NXOpen::SketchDimensionalConstraint * | CreateRadialDimension (const NXOpen::Sketch::DimensionGeometry &dimObject1, const NXOpen::Point3d &dimOrigin, NXOpen::Expression *expression) |
Creates a radial dimension constraint. | |
NXOpen::SketchDimensionalConstraint * | CreateRadialDimension (const NXOpen::Sketch::DimensionGeometry &dimObject1, const NXOpen::Point3d &dimOrigin, NXOpen::Expression *expression, NXOpen::Sketch::DimensionOption refDim) |
Creates a radial dimension constraint. | |
NXOpen::SketchGeometricConstraint * | CreateSlopeConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom1, const NXOpen::Sketch::ConstraintGeometry &conGeom2) |
Creates a slope constraint. | |
NXOpen::SketchTangentConstraint * | CreateTangentConstraint (const NXOpen::Sketch::ConstraintGeometry &geom1, const NXOpen::Sketch::ConstraintGeometryHelp &geom1Help, const NXOpen::Sketch::ConstraintGeometry &geom2, const NXOpen::Sketch::ConstraintGeometryHelp &geom2Help) |
Creates a tangent constraint. | |
NXOpen::SketchGeometricConstraint * | CreateUniformScaledConstraint (const NXOpen::Sketch::ConstraintGeometry &conGeom) |
Creates a uniform scale constraint. | |
NXOpen::SketchGeometricConstraint * | CreateVerticalConstraint (const NXOpen::Sketch::ConstraintGeometry &geom) |
Creates a vertical constraint. | |
void | Deactivate (NXOpen::Sketch::ViewReorient orientView, NXOpen::Sketch::UpdateLevel updateLevel) |
Deactivates the sketch Created in NX3.0.0. | |
void | DeleteConstraintsOnGeometries (const std::vector< NXOpen::NXObject * > &objects) |
Deletes all geometric constraints associated with the object and all of its vertices. | |
void | DeleteConstraintsOnGeometries (const std::vector< NXOpen::Sketch::ConstraintGeometry > &objects) |
Deletes all geometric constraints associated with the object and all of its vertices. | |
NXOpen::ErrorList * | DeleteObjects (const std::vector< NXOpen::NXObject * > &objects) |
Deletes objects from the sketch. | |
bool | DOFDisplay () |
Returns a flag indicating whether the degree of freedom arrows are currently being displayed Created in NX3.0.0. | |
NXOpen::Features::Feature * | Feature () |
Returns the feature associated with this sketch Created in NX3.0.0. | |
std::vector< NXOpen::Arc * > | Fillet (NXOpen::Curve *curve1, NXOpen::Curve *curve2, const NXOpen::Point3d &helpPoint1, const NXOpen::Point3d &helpPoint2, double radius, NXOpen::Sketch::TrimInputOption doTrim, NXOpen::Sketch::CreateDimensionOption createRadiusDim, NXOpen::Sketch::AlternateSolutionOption alternateSolution, std::vector< NXOpen::SketchConstraint * > &constraints) |
Fillets curves and creates appropriate constraints. | |
std::vector< NXOpen::Arc * > | Fillet (NXOpen::Curve *curve1, NXOpen::Curve *curve2, const NXOpen::Point3d &helpPoint1, const NXOpen::Point3d &helpPoint2, const NXOpen::Point3d &pointOnArc, double radius, NXOpen::Sketch::TrimInputOption doTrim, NXOpen::Sketch::CreateDimensionOption createRadiusDim, NXOpen::Sketch::AlternateSolutionOption alternateSolution, std::vector< NXOpen::SketchConstraint * > &constraints) |
Fillets curves and creates appropriate constraints. | |
std::vector< NXOpen::Arc * > | Fillet (NXOpen::Curve *curve1, NXOpen::Curve *curve2, NXOpen::Curve *curve3, const NXOpen::Point3d &helpPoint1, const NXOpen::Point3d &helpPoint2, const NXOpen::Point3d &helpPoint3, double radius, NXOpen::Sketch::TrimInputOption doTrim, NXOpen::Sketch::DeleteThirdCurveOption doDelete, NXOpen::Sketch::CreateDimensionOption createRadiusDim, NXOpen::Sketch::AlternateSolutionOption alternateSolution, std::vector< NXOpen::SketchConstraint * > &constraints) |
Fillets curves and creates appropriate constraints. | |
std::vector< NXOpen::Arc * > | Fillet (NXOpen::Curve *curve1, NXOpen::Curve *curve2, NXOpen::Curve *curve3, const NXOpen::Point3d &helpPoint1, const NXOpen::Point3d &helpPoint2, const NXOpen::Point3d &helpPoint3, const NXOpen::Point3d &pointOnArc, double radius, NXOpen::Sketch::TrimInputOption doTrim, NXOpen::Sketch::DeleteThirdCurveOption doDelete, NXOpen::Sketch::CreateDimensionOption createRadiusDim, NXOpen::Sketch::AlternateSolutionOption alternateSolution, std::vector< NXOpen::SketchConstraint * > &constraints) |
Fillets curves and creates appropriate constraints. | |
void | FlipNormal () |
Flips the outward normal vector of the sketch Created in NX3.0.0. | |
void | FlipReferenceDirection () |
Flips the reference direction of the sketch Created in NX3.0.0. | |
std::vector < NXOpen::SketchConstraint * > | GetAllConstraintsOfType (NXOpen::Sketch::ConstraintClass conClass, NXOpen::Sketch::ConstraintType conType) |
Gets all constraints in the sketch of a particular type. | |
std::vector< NXOpen::Expression * > | GetAllExpressions () |
Returns all the expressions in the sketch. | |
std::vector< NXOpen::NXObject * > | GetAllGeometry () |
Returns all the curves and points in the sketch. | |
std::vector < NXOpen::SketchConstraint * > | GetConstraintsForGeometry (NXOpen::SmartObject *geometry, NXOpen::Sketch::ConstraintClass conClass) |
Gets all the constraints associated with a particular geometric item. | |
NXOpen::Vector3d | GetReferenceDirection (NXOpen::IReferenceAxis **referenceAxis, NXOpen::AxisOrientation *referenceAxisOrientation, NXOpen::Sense *referenceAxisSense) |
Gets the reference direction of the sketch. | |
NXOpen::Sketch::Status | GetStatus (int *dofNeeded) |
Gets the status of the sketch and the number of degrees of freedom that remain in the sketch. | |
void | HideDimensions (const std::vector< NXOpen::DisplayableObject * > &inputObjects) |
Blanks dimensions in the active sketch associated with the input sketch geometry. | |
void | HideDimensions () |
Blanks all the dimensions of input sketch Created in NX6.0.1. | |
void | HideDimensions (const std::vector< NXOpen::Sketch::ConstraintGeometry > &objects) |
Blanks dimensions in the active sketch associated with the input sketch geometry. | |
bool | IsActive () |
Returns true if the sketch is active Created in NX3.0.0. | |
bool | IsDraftingSketch () |
Returns true if drafting sketch Created in NX6.0.0. | |
bool | IsInternal () |
Returns true if the sketch is internal. | |
void | LocalUpdate () |
Update the sketch and not the sketch children. | |
void | MakeDatumsExternal () |
Makes the internal sketch placement face and directional reference datums external. | |
void | MakeDatumsInternal () |
Makes the sketch placement face and directional reference internal to the sketch if they are both datums referenced only by the sketch. | |
std::vector < NXOpen::SmartObject * > | MirrorObjects (NXOpen::DisplayableObject *centerline, const std::vector< NXOpen::SmartObject * > &objectsToMirror) |
Creates a reflection of the input geometry. | |
NXOpen::NXMatrix * | Orientation () |
Returns the orientation matrix of the local coordinate system of the sketch Created in NX3.0.0. | |
NXOpen::Point3d | Origin () |
Returns the location of the origin of the local coordinate system for the sketch Created in NX3.0.0. | |
NXOpen::Preferences::SketchPreferences * | Preferences () |
Contains preferences for the sketch Created in NX3.0.0. | |
void | Reattach (NXOpen::ISurface *attachmentPlane, NXOpen::IReferenceAxis *referenceAxis, const NXOpen::Vector3d &referenceDirection, NXOpen::AxisOrientation referenceAxisOrientation, NXOpen::Sense referenceAxisSense, NXOpen::PlaneNormalOrientation normalOrientation, const NXOpen::Point3d &localCoordinateSystemOrigin) |
Reattaches a sketch. | |
void | RunAutoDimension () |
Run auto dimensioning. | |
void | SetCreateInferConstraintsSetting (NXOpen::Sketch::CreateInferConstraintSetting createInferCon) |
Sets the toggle that controls the creation of infer constraints in sketch Created in NX4.0.0. | |
void | SetDOFDisplay (bool displayDof) |
Sets a flag indicating whether the degree of freedom arrows are currently being displayed Created in NX3.0.0. | |
void | SetReferenceDirection (NXOpen::IReferenceAxis *referenceAxis, const NXOpen::Vector3d &referenceDirection, NXOpen::AxisOrientation referenceAxisOrientation, NXOpen::Sense referenceAxisSense) |
Sets the reference direction of the sketch. | |
void | SetUpdateScope (NXOpen::Sketch::UpdateLevel updateScope) |
Sets the current update scope. | |
void | SetVisibilityOfConstraints (NXOpen::Sketch::ConstraintVisibility visibility) |
Sets the visibility of the constraints in the sketch | |
void | ShowDimensions (const std::vector< NXOpen::DisplayableObject * > &inputObjects) |
Unblanks dimensions in the active sketch associated with the input sketch geometry Created in NX4.0.0. | |
void | ShowDimensions () |
Unblanks all the dimensions of input sketch Created in NX6.0.1. | |
void | ShowDimensions (const std::vector< NXOpen::Sketch::ConstraintGeometry > &objects) |
Unblanks dimensions in the active sketch associated with the input sketch geometry. | |
void | Update () |
Updates the sketch Created in NX3.0.0. | |
void | Update (const std::vector< NXOpen::NXObject * > &geoms) |
Updates the given set of geometries in the sketch Created in NX4.0.0. | |
void | UpdateConstraintDisplay () |
Updates the constraint display without updating the sketch Created in NX3.0.0. | |
void | UpdateConstraintDisplay (const std::vector< NXOpen::SmartObject * > &geoms) |
Updates the constraint display of given set of geoms without updating the sketch Created in NX4.0.0. | |
void | UpdateDimensionDisplay () |
Updates the dimension display without updating the sketch Created in NX4.0.0. | |
void | UpdateDimensionDisplay (const std::vector< NXOpen::SmartObject * > &geoms) |
Updates the dimension display of given set of geoms without updating the sketch Created in NX4.0.0. | |
void | UpdateDimensionDisplay (const std::vector< NXOpen::NXObject * > &dims) |
Updates the dimension display of given set of dims without updating the sketch Created in NX4.0.0. | |
void | UpdateGeometryDisplay () |
Updates the geometry display without updating the sketch Created in NX4.0.0. | |
void | UpdateGeometryDisplay (const std::vector< NXOpen::SmartObject * > &geoms) |
Updates the geometry display of given set of geoms without updating the sketch Created in NX4.0.0. | |
NXOpen::Sketch::UpdateLevel | UpdateScope () |
Returns the current update scope. | |
NXOpen::View * | View () |
Returns the view corresponding to sketch Created in NX6.0.0. | |
NXOpen::Sketch::ConstraintVisibility | VisibilityOfConstraints () |
Returns the visibility of the constraints in the sketch | |
![]() | |
void | Blank () |
Blanks the object. | |
int | Color () |
Returns the color of the object. | |
void | Highlight () |
Highlights the object. | |
bool | IsBlanked () |
Returns the blank status of this object. | |
int | Layer () |
Returns the layer that the object is in. | |
NXOpen::DisplayableObject::ObjectFont | LineFont () |
Returns the line font of the object. | |
NXOpen::DisplayableObject::ObjectWidth | LineWidth () |
Returns the line width of the object. | |
NXOpen::Point3d | NameLocation () |
Returns the location of the object's name. | |
void | RedisplayObject () |
Redisplays the object in all views. | |
void | SetColor (int color) |
Sets the color of the object. | |
void | SetLayer (int layer) |
Sets the layer that the object is in. | |
void | SetLineFont (NXOpen::DisplayableObject::ObjectFont font) |
Sets the line font of the object. | |
void | SetLineWidth (NXOpen::DisplayableObject::ObjectWidth width) |
Sets the line width of the object. | |
void | SetNameLocation (const NXOpen::Point3d &location) |
Sets the location of the object's name. | |
void | Unblank () |
Unblanks the object. | |
void | Unhighlight () |
Unhighlights the object. | |
![]() | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type) |
Deletes all attributes of a specific type. | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes all attributes of a specific type with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes the attributes encountered with the given Type with option to update or not. | |
virtual NXOpen::INXObject * | FindObject (const NXString &journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type) |
Gets all the attribute titles of a specific type. | |
bool | GetBooleanUserAttribute (const NXString &title, int index) |
Gets a boolean attribute by Title and array Index. | |
bool | GetBooleanUserAttribute (const char *title, int index) |
Gets a boolean attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
int | GetIntegerAttribute (const NXString &title) |
Gets an integer attribute by title. | |
int | GetIntegerAttribute (const char *title) |
Gets an integer attribute by title. | |
int | GetIntegerUserAttribute (const NXString &title, int index) |
Gets an integer attribute by Title and array Index. | |
int | GetIntegerUserAttribute (const char *title, int index) |
Gets an integer attribute by Title and array Index. | |
double | GetRealAttribute (const NXString &title) |
Gets a real attribute by title. | |
double | GetRealAttribute (const char *title) |
Gets a real attribute by title. | |
double | GetRealUserAttribute (const NXString &title, int index) |
Gets a real attribute by Title and array Index. | |
double | GetRealUserAttribute (const char *title, int index) |
Gets a real attribute by Title and array Index. | |
NXString | GetReferenceAttribute (const NXString &title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetReferenceAttribute (const char *title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetStringAttribute (const NXString &title) |
Gets a string attribute value by title. | |
NXString | GetStringAttribute (const char *title) |
Gets a string attribute value by title. | |
NXString | GetStringUserAttribute (const NXString &title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetStringUserAttribute (const char *title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title) |
Gets a time attribute by title. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title) |
Gets a time attribute by title. | |
NXString | GetTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXString | GetTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXString | GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
NXString | GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
bool | GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
bool | GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes () |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset) |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset, bool addStringValues) |
Gets all the attributes that have been set on the given object. | |
std::vector< NXString > | GetUserAttributesAsStrings () |
Gets all the attributes that have been set on the given object. | |
std::vector< NXOpen::NXObject * > | GetUserAttributeSourceObjects () |
Returns an array of objects from which this object presents attributes. | |
bool | HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
bool | HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
virtual bool | IsOccurrence () |
Returns whether this object is an occurrence or not. | |
virtual NXString | JournalIdentifier () |
Returns the identifier that would be recorded in a journal for this object. | |
virtual NXString | Name () |
Returns the custom name of the object. | |
virtual NXOpen::Assemblies::Component * | OwningComponent () |
Returns the owning component, if this object is an occurrence. | |
virtual NXOpen::BasePart * | OwningPart () |
Returns the owning part of this object Created in NX3.0.0. | |
virtual void | Print () |
Prints a representation of this object to the system log file. | |
virtual NXOpen::INXObject * | Prototype () |
Returns the prototype of this object if it is an occurrence. | |
void | SetAttribute (const NXString &title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const char *title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const NXString &title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const char *title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const char *title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const NXString &title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const char *title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const char *title, const char *value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const NXString &title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const char *title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const NXString &title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetAttribute (const char *title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
virtual void | SetName (const NXString &name) |
Sets the custom name of the object. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const char *title, const char *value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetTimeAttribute (const NXString &title, const NXString &value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const char *title, const char *value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option) |
Creates or modifies an attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
void | SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
![]() | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
Represents a sketch
Use the SketchCollection class to create a sketch.
Created in NX3.0.0.
Used by AddGeometry to determine whether to treat an ellipse as an ellipse or generic conic when adding the curve to a sketch.
Treating an ellipse as a conic means that the ellipse will be given an anchor point. This affects, among other things, how the ellipse behaves when it is dragged.
In order for an ellipse to be treated as a conic, its end angle minus its start angle must be less than 180 degrees.
Indicates whether the alternate solution should be used instead of the regular solution.
The alternate solution for an arc is the portion of the full circle that is left out of the regular solution. For example, if the regular solution is an arc that goes from 0 to 45 degrees, the alternate solution will be an arc with the same center and origin but that goes from 45 degrees to 360.
Used in Sketch::DimensionGeometry to indicate what type of geometry to use.
Type of Auto Dimensioning rules.
It should match the rule types defined in Auto Dimensioning engine. Auto Dimensioning rules affect how the dimensions are created by the Auto Dimensioner. The rules will be put in a list, the first the rule with the highest priority and the last rule with the lowest priority. The user can change the order of the rules in the list to persue the flavor of the dimensions he wants. Sketch::AutoDimensioningRuleSymmetric : create symmetric dimensions if the curves are symmetric Sketch::AutoDimensioningRuleAdjacentAngle : create angles between adjacent lines Sketch::AutoDimensioningRuleLength : create length dimension for lines Sketch::AutoDimensioningRuleHorizontalVertical : create horizontal and vertical dimensions Sketch::AutoDimensioningRuleReferenceAxes : create dimensions between curves and reference axes
Represents the class of the constraint.
There are two classes of constraints: geometric and dimension
Used in ConstraintGeometry to indicate what type of point, if any, the geometry is.
Represents the type of constraint.
Indicates the visibility of the constraints The APIs that use this enum are deprecated in NX85 The Sketch::ConstraintVisibilitySome option will behave the same as the Sketch::ConstraintVisibilityAll option.
Please use @link NXOpen::Preferences::SessionSketch::DisplayConstraintSymbols NXOpen::Preferences::SessionSketch::DisplayConstraintSymbols@endlink and @link NXOpen::Preferences::SessionSketch::SetDisplayConstraintSymbols NXOpen::Preferences::SessionSketch::SetDisplayConstraintSymbols@endlink instead.
ConstraintVisibilityNone |
No constraints visible. |
ConstraintVisibilitySome |
Certain constraints are visible. Equivalent to having the UI show-all-constraints and show-no-constraints toggles off |
ConstraintVisibilityAll |
All constraints are visible. |
Used by CreateDimension , CreateRadialDimension CreateDiameterDimension and CreatePerimeterDimension to determine whether to create driving or reference dimension.
Used when adding a point or curve to a sketch.
Specifies whether to infer coincident constraints between the geometry that already exists in the sketch and the geometry being added to the sketch. If you choose to infer constraints, coincident constraints will be created if an end point of the geometry being added is at the same location (within system tolerance) as another end point in the sketch.
Specifies the plane type used for a Sketch.
Represents the status of the sketch.
Used to indicate how much the updating should occur.
UpdateLevelSketchOnly |
Only update the sketch. |
UpdateLevelModel |
Update the full model and the sketch. |
void NXOpen::Sketch::Activate | ( | NXOpen::Sketch::ViewReorient | orientView | ) |
Activates the sketch
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
orientView | Indicates whether to orient the view to the sketch during activation |
void NXOpen::Sketch::AddGeometry | ( | NXOpen::DisplayableObject * | crv, |
NXOpen::Sketch::InferConstraintsOption | inferCoincidentConstraints | ||
) |
Adds a curve or point to the sketch
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
crv | Must be a curve or point |
inferCoincidentConstraints | Whether to automatically create coincident constraints when adding the geometry. If this flag is true and there exists another curve or point in the sketch that has a vertex that is at the same location (within system tolerance) as one of the vertices for crv, a coincident constraint will be created |
void NXOpen::Sketch::AddGeometry | ( | NXOpen::DisplayableObject * | crv | ) |
Adds a curve or point to the sketch.
Infers coincident constraints with other geometry in the sketch
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
crv | Must be a curve or point |
void NXOpen::Sketch::AddGeometry | ( | NXOpen::Curve * | crv, |
NXOpen::Sketch::InferConstraintsOption | inferCoincidentConstraints, | ||
NXOpen::Sketch::AddEllipseOption | ellipseOption | ||
) |
Adds a curve or point to a sketch.
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
crv | Must be a curve or point |
inferCoincidentConstraints | Whether to automatically create coincident constraints when adding the geometry. If this flag is true and there exists another curve or point in the sketch that has a vertex that is at the same location (within system tolerance) as one of the vertices for crv, a coincident constraint will be created |
ellipseOption | If you are adding an ellipse to the sketch, this parameter indicates whether the ellipse should be treated as an ellipse or general conic. If you are not adding an ellipse, the option is ignored. See the documentation for Sketch::AddEllipseOption for more details. The default value is Sketch::AddEllipseOptionTreatAsEllipse . In order to treat an ellipse as a conic, its end angle minus its start angle must be less than 180 degrees. |
void NXOpen::Sketch::AddGeometry | ( | NXOpen::Sketch::InferConstraintsOption | inferCoincidentConstraints, |
NXOpen::Sketch::AddEllipseOption | ellipseOption, | ||
const std::vector< NXOpen::SmartObject * > & | curvesOrPoints | ||
) |
Adds an array of curves or points to a sketch.
Created in NX6.0.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
inferCoincidentConstraints | Whether to automatically create coincident constraints when adding the geometry. If this flag is true and there exists another curve or point in the sketch that has a vertex that is at the same location (within system tolerance) as one of the vertices for crv, a coincident constraint will be created |
ellipseOption | If you are adding an ellipse to the sketch, this parameter indicates whether the ellipse should be treated as an ellipse or general conic. If you are not adding an ellipse, the option is ignored. See the documentation for Sketch::AddEllipseOption for more details. The default value is Sketch::AddEllipseOptionTreatAsEllipse . In order to treat an ellipse as a conic, its end angle minus its start angle must be less than 180 degrees. |
curvesOrPoints | Must be a curve or point |
NXOpen::ISurface* NXOpen::Sketch::AttachPlane | ( | ) |
Returns the plane that the sketch is attached to
Created in NX3.0.0.
License requirements : None
std::vector<NXOpen::SketchConstraint *> NXOpen::Sketch::AutoConstrain | ( | double | linearTolerance, |
double | angularTolerance, | ||
bool | allowRemoteConstraints, | ||
const std::vector< NXOpen::SmartObject * > & | geometries, | ||
const std::vector< NXOpen::Sketch::ConstraintType > & | autoconstraintTypes | ||
) |
Creates Automatic Constraints on input set of geometries.
linearTolerance | Capture Distance |
angularTolerance | Capture Angle |
allowRemoteConstraints | Allow remote constraints |
geometries | Array of geometries |
autoconstraintTypes | Constraint type array |
std::vector<NXOpen::NXObject *> NXOpen::Sketch::CopyObjects | ( | const std::vector< NXOpen::NXObject * > & | inputObjects | ) |
Creates copies of input objects and constraints between these objects.
inputObjects | Objects to be copied |
void NXOpen::Sketch::CopyObjectsWithDimensionOutput | ( | const std::vector< NXOpen::NXObject * > & | inputObjects, |
std::vector< NXOpen::NXObject * > & | outputObjects, | ||
std::vector< NXOpen::NXObject * > & | outputDims | ||
) |
Creates copies of input objects and constraints between these objects.
This function is same as Sketch::CopyObjects except that it returns an array of newly created dimensions
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
inputObjects | Objects to be copied |
outputObjects | Copies of objects |
outputDims | Copies of dims |
std::vector<NXOpen::Sketch::CopyObjectData> NXOpen::Sketch::CopyObjectsWithTracking | ( | const std::vector< NXOpen::DisplayableObject * > & | inputObjects | ) |
Creates copies of input objects and constraints between these objects.
Sketch dimensions are copied only if explicitly included in the input_objects array.
inputObjects | Objects to be copied |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateCoincidentConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | geom1, |
const NXOpen::Sketch::ConstraintGeometry & | geom2 | ||
) |
Creates a coincident constraint.
geom1 | Must be a vertex |
geom2 | Must be a vertex |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateCollinearConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom1, |
const NXOpen::Sketch::ConstraintGeometry & | conGeom2 | ||
) |
Creates a collinear constraint.
One of the input constraint geometries must be a line.
conGeom1 | Must be a line, linear edge, datum axis, or datum plane |
conGeom2 | Must be a line, linear edge, datum axis, or datum plane |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateConcentricConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom1, |
const NXOpen::Sketch::ConstraintGeometry & | conGeom2 | ||
) |
Creates a concentric constraint.
One of the input constraint geometries must be a curve.
conGeom1 | Must be an arc or ellipse or edge shaped as an arc or ellipse |
conGeom2 | Must be an arc or ellipse or edge shaped as an arc or ellipse |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateConstantAngleConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom | ) |
Creates a constant angle constraint.
conGeom | Must be a line |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateConstantLengthConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom | ) |
Creates a constant length constraint.
conGeom | Must be a line |
NXOpen::SketchDimensionalConstraint* NXOpen::Sketch::CreateDiameterDimension | ( | const NXOpen::Sketch::DimensionGeometry & | dimObject1, |
const NXOpen::Point3d & | dimOrigin, | ||
NXOpen::Expression * | expression | ||
) |
Creates a diameter dimension constraint.
dimObject1 | Should be an arc |
dimOrigin | The location where the dimension should be placed |
expression | Defining expression for the dimension. Can be NULL |
NXOpen::SketchDimensionalConstraint* NXOpen::Sketch::CreateDiameterDimension | ( | const NXOpen::Sketch::DimensionGeometry & | dimObject1, |
const NXOpen::Point3d & | dimOrigin, | ||
NXOpen::Expression * | expression, | ||
NXOpen::Sketch::DimensionOption | refDim | ||
) |
Creates a diameter dimension constraint.
Accepts a flag to create the dim as driving or reference
dimObject1 | Should be an arc |
dimOrigin | The location where the dimension should be placed |
expression | Defining expression for the dimension. Can be NULL |
refDim | option for creating driving or reference dimension |
NXOpen::SketchDimensionalConstraint* NXOpen::Sketch::CreateDimension | ( | NXOpen::Sketch::ConstraintType | dimType, |
const NXOpen::Sketch::DimensionGeometry & | dimObject1, | ||
const NXOpen::Sketch::DimensionGeometry & | dimObject2, | ||
const NXOpen::Point3d & | dimOrigin, | ||
NXOpen::Expression * | expression | ||
) |
Creates a dimension between two geometric objects.
Do not use for radial, diameter, or perimeter dimensions. To create a radial or diameter constraint, use CreateRadialDimension or CreateDiameterDimension . To create a perimeter dimension, use CreatePerimeterDimension
dimType | Must be one of the dimension types and should not be a radial, diametral, or perimeter dimension |
dimObject1 | First input geometry |
dimObject2 | Second input geometry |
dimOrigin | The location where the dimension should be placed |
expression | Defining expression for the dimension. Can be NULL |
NXOpen::SketchDimensionalConstraint* NXOpen::Sketch::CreateDimension | ( | NXOpen::Sketch::ConstraintType | dimType, |
const NXOpen::Sketch::DimensionGeometry & | dimObject1, | ||
const NXOpen::Sketch::DimensionGeometry & | dimObject2, | ||
const NXOpen::Point3d & | dimOrigin, | ||
NXOpen::Expression * | expression, | ||
NXOpen::Sketch::DimensionOption | refDim | ||
) |
Creates a dimension between two geometric objects.
Do not use for radial, diameter, or perimeter dimensions. To create a radial or diameter constraint, use CreateRadialDimension or CreateDiameterDimension . To create a perimeter dimension, use CreatePerimeterDimension . This function takes in an argument to create the dimension as driving or reference.
dimType | Must be one of the dimension types and should not be a radial, diametral, or perimeter dimension |
dimObject1 | First input geometry |
dimObject2 | Second input geometry |
dimOrigin | The location where the dimension should be placed |
expression | Defining expression for the dimension. Can be NULL |
refDim | option for creating driving or reference dimension |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateEqualLengthConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom1, |
const NXOpen::Sketch::ConstraintGeometry & | conGeom2 | ||
) |
Creates an equal length constraint.
One of the input constraint geometries must be a line.
conGeom1 | Must be a line or linear edge |
conGeom2 | Must be a line or linear edge |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateEqualRadiusConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom1, |
const NXOpen::Sketch::ConstraintGeometry & | conGeom2 | ||
) |
Creates an equal radius constraint.
One of the input constraint geometries must be a curve.
conGeom1 | Must be an arc or edge shaped as an arc |
conGeom2 | Must be an arc or edge shaped as an arc |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateFixedConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | geom | ) |
Creates a fixed constraint.
geom | Can be any curve, point, or vertex in the sketch |
std::vector<NXOpen::SketchGeometricConstraint *> NXOpen::Sketch::CreateFullyFixedConstraints | ( | const NXOpen::Sketch::ConstraintGeometry & | geom | ) |
Creates enough fixed constraints on the curve and all of its vertices such that the geometry is fully fixed without any redundant fixed constraints.
geom | Can be any curve, point, or vertex in the sketch |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateHorizontalConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | geom | ) |
Creates a horizontal constraint.
geom | Must be a line |
NXOpen::Sketch::CreateInferConstraintSetting NXOpen::Sketch::CreateInferConstraintsSetting | ( | ) |
Returns the toggle that controls the creation of infer constraints in sketch
Created in NX4.0.0.
License requirements : None
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateMidpointConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom1, |
const NXOpen::Sketch::ConstraintGeometry & | conGeom2 | ||
) |
Creates a midpoint constraint.
One of the input constraint geometries must be a vertex and the other must be a curve or edge.
conGeom1 | con geom1 |
conGeom2 | con geom2 |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateNonUniformScaledConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom | ) |
Creates a non-uniform scale constraint.
conGeom | Must be a spline |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateNormalConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom1, |
const NXOpen::Sketch::ConstraintGeometryHelp & | geom1Help, | ||
const NXOpen::Sketch::ConstraintGeometry & | conGeom2, | ||
const NXOpen::Sketch::ConstraintGeometryHelp & | geom2Help | ||
) |
Creates a normal constraint.
A normal constraint can be created between any two curve/edge type except between two linear objects. For linear objects, create a perpendicular constraint
conGeom1 | First input geometry for the constraint |
geom1Help | Help data for first geom |
conGeom2 | Second input geometry for the constraint |
geom2Help | Help data for second geom |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateParallelConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom1, |
const NXOpen::Sketch::ConstraintGeometry & | conGeom2 | ||
) |
Creates a parallel constraint.
A parallel constraint can only be created between one of the following pairs: (line, line or linear edge), (line, datum axis or datum plane), (line or linear edge, ellipse), (line, ellipse or elliptical edge), (ellipse, ellipse or elliptical edge).
conGeom1 | First input geometry for the constraint |
conGeom2 | Second input geometry for the constraint |
NXOpen::SketchDimensionalConstraint* NXOpen::Sketch::CreatePerimeterDimension | ( | const std::vector< NXOpen::Curve * > & | curves, |
const NXOpen::Point3d & | dimOrigin, | ||
NXOpen::Expression * | expression | ||
) |
Creates a perimeter dimension constraint.
curves | The curves that form the perimeter |
dimOrigin | Not currently used |
expression | Defining expression for the dimension. Can be NULL |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreatePerpendicularConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom1, |
const NXOpen::Sketch::ConstraintGeometry & | conGeom2 | ||
) |
Creates a perpendicular constraint.
A perpendicular constraint can only be created between one of the following pairs: (line, line or linear edge), (line, datum axis or datum plane), (line or linear edge, ellipse), (line, ellipse or elliptical edge), (ellipse, ellipse or elliptical edge).
conGeom1 | First input geometry for the constraint |
conGeom2 | Second input geometry for the constraint |
NXOpen::SketchHelpedGeometricConstraint* NXOpen::Sketch::CreatePointOnCurveConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom1, |
const NXOpen::Sketch::ConstraintGeometry & | conGeom2, | ||
const NXOpen::Sketch::ConstraintGeometryHelp & | help | ||
) |
Creates a point on curve constraint.
One of the input geometries must be a vertex and the other must be a curve, edge, datum axis, or datum plane.
conGeom1 | con geom1 |
conGeom2 | con geom2 |
help | help |
NXOpen::SketchHelpedGeometricConstraint* NXOpen::Sketch::CreatePointOnStringConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom1, |
const std::vector< NXOpen::Curve * > & | curvesInString, | ||
const NXOpen::Sketch::ConstraintGeometryHelp & | helpData, | ||
int | curveWhichHelpParamAppliesTo | ||
) |
Creates a point on string constraint.
@return The point on string constraint
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
conGeom1 | Must be a vertex |
curvesInString | Must all be part of the same string. (You can create a string of curves through the UI through the Edit -> Project command.) |
helpData | help data |
curveWhichHelpParamAppliesTo | If helpData is a parameter, this parameter indicates which curve in the curvesInString that the help parameter applies to. Otherwise, this parameter is not used |
NXOpen::SketchHelpedGeometricConstraint* NXOpen::Sketch::CreatePointOnStringConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom1, |
NXOpen::Curve * | curveInString, | ||
const NXOpen::Sketch::ConstraintGeometryHelp & | helpData | ||
) |
Creates a point on string constraint.
The string is specified using a single curve in the string. The constraint is created on the entire string that curveInString belongs to.
conGeom1 | Must be a vertex |
curveInString | A curve in the string that you want to create the constraint on. The constraint is created on the entire string that this curve belongs to. (You can create a string of curves through the UI through the Edit -> Project command.) |
helpData | help data |
NXOpen::SketchDimensionalConstraint* NXOpen::Sketch::CreateRadialDimension | ( | const NXOpen::Sketch::DimensionGeometry & | dimObject1, |
const NXOpen::Point3d & | dimOrigin, | ||
NXOpen::Expression * | expression | ||
) |
Creates a radial dimension constraint.
dimObject1 | Should be an arc |
dimOrigin | The location where the dimension should be placed |
expression | Defining expression for the dimension. Can be NULL |
NXOpen::SketchDimensionalConstraint* NXOpen::Sketch::CreateRadialDimension | ( | const NXOpen::Sketch::DimensionGeometry & | dimObject1, |
const NXOpen::Point3d & | dimOrigin, | ||
NXOpen::Expression * | expression, | ||
NXOpen::Sketch::DimensionOption | refDim | ||
) |
Creates a radial dimension constraint.
Accepts a flag to create the dimension as driving or reference
dimObject1 | Should be an arc |
dimOrigin | The location where the dimension should be placed |
expression | Defining expression for the dimension. Can be NULL |
refDim | option for creating driving or reference dimension |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateSlopeConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom1, |
const NXOpen::Sketch::ConstraintGeometry & | conGeom2 | ||
) |
Creates a slope constraint.
One of the input constraint geometries must a spline defining point. The other must be datum axis, datum plane, or a curve or edge shaped as a line, arc, ellipse, conic, or spline.
conGeom1 | con geom1 |
conGeom2 | con geom2 |
NXOpen::SketchTangentConstraint* NXOpen::Sketch::CreateTangentConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | geom1, |
const NXOpen::Sketch::ConstraintGeometryHelp & | geom1Help, | ||
const NXOpen::Sketch::ConstraintGeometry & | geom2, | ||
const NXOpen::Sketch::ConstraintGeometryHelp & | geom2Help | ||
) |
Creates a tangent constraint.
Note: the input constraint geometries cannot both be linear.
geom1 | A curve, edge, or datum axis |
geom1Help | geom1 help |
geom2 | A curve, edge, or datum axis |
geom2Help | geom2 help |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateUniformScaledConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | conGeom | ) |
Creates a uniform scale constraint.
conGeom | Must be a spline |
NXOpen::SketchGeometricConstraint* NXOpen::Sketch::CreateVerticalConstraint | ( | const NXOpen::Sketch::ConstraintGeometry & | geom | ) |
Creates a vertical constraint.
geom | Must be a line |
void NXOpen::Sketch::Deactivate | ( | NXOpen::Sketch::ViewReorient | orientView, |
NXOpen::Sketch::UpdateLevel | updateLevel | ||
) |
Deactivates the sketch
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
orientView | Indicates whether to orient the view to the model during deactivation |
updateLevel | Indicates whether just the sketch should be updated or the entire model |
void NXOpen::Sketch::DeleteConstraintsOnGeometries | ( | const std::vector< NXOpen::NXObject * > & | objects | ) |
Deletes all geometric constraints associated with the object and all of its vertices.
Converts all the driving dimensions associated with the object and its vertices to reference dimensions.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
objects | Objects whose constraints needs to be deleted |
void NXOpen::Sketch::DeleteConstraintsOnGeometries | ( | const std::vector< NXOpen::Sketch::ConstraintGeometry > & | objects | ) |
Deletes all geometric constraints associated with the object and all of its vertices.
Converts all the driving dimensions associated with the object and its vertices to reference dimensions. The user can pass in a vertex to do the same on just the supplied vertex.
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
objects | Objects whose constraints needs to be deleted |
NXOpen::ErrorList* NXOpen::Sketch::DeleteObjects | ( | const std::vector< NXOpen::NXObject * > & | objects | ) |
Deletes objects from the sketch.
objects | Objects to be deleted |
bool NXOpen::Sketch::DOFDisplay | ( | ) |
Returns a flag indicating whether the degree of freedom arrows are currently being displayed
Created in NX3.0.0.
License requirements : None
NXOpen::Features::Feature* NXOpen::Sketch::Feature | ( | ) |
Returns the feature associated with this sketch
Created in NX3.0.0.
License requirements : None
std::vector<NXOpen::Arc *> NXOpen::Sketch::Fillet | ( | NXOpen::Curve * | curve1, |
NXOpen::Curve * | curve2, | ||
const NXOpen::Point3d & | helpPoint1, | ||
const NXOpen::Point3d & | helpPoint2, | ||
double | radius, | ||
NXOpen::Sketch::TrimInputOption | doTrim, | ||
NXOpen::Sketch::CreateDimensionOption | createRadiusDim, | ||
NXOpen::Sketch::AlternateSolutionOption | alternateSolution, | ||
std::vector< NXOpen::SketchConstraint * > & | constraints | ||
) |
Fillets curves and creates appropriate constraints.
If the input curves have mirror constraints, the fillet is also performed on the mirror curves.
curve1 | First curve for the fillet |
curve2 | Second curve for the fillet |
helpPoint1 | Should be a point on the first curve. Indicates where the fillet should be created |
helpPoint2 | Should be a point on the second curve. Indicates where the fillet should be created |
radius | Radius of the fillet |
doTrim | Indicates whether the input curves should get trimmed by the fillet |
createRadiusDim | Indicates whether a radius dimension should be created |
alternateSolution | Indicates whether the alternate solution should be used instead of the regular solution. The alternate solution for an arc is the portion of the full circle that is left out of the regular solution. |
constraints | The constraints that were created by the fillet. If the input curves get trimmed, coincident and tangent constraints are created. If the input curves do not get trimmed, point on curve and tangent constraints are created. |
std::vector<NXOpen::Arc *> NXOpen::Sketch::Fillet | ( | NXOpen::Curve * | curve1, |
NXOpen::Curve * | curve2, | ||
const NXOpen::Point3d & | helpPoint1, | ||
const NXOpen::Point3d & | helpPoint2, | ||
const NXOpen::Point3d & | pointOnArc, | ||
double | radius, | ||
NXOpen::Sketch::TrimInputOption | doTrim, | ||
NXOpen::Sketch::CreateDimensionOption | createRadiusDim, | ||
NXOpen::Sketch::AlternateSolutionOption | alternateSolution, | ||
std::vector< NXOpen::SketchConstraint * > & | constraints | ||
) |
Fillets curves and creates appropriate constraints.
If the input curves have mirror constraints, the fillet is also performed on the mirror curves.
curve1 | First curve for the fillet |
curve2 | Second curve for the fillet |
helpPoint1 | Should be a point on the first curve. Indicates where the fillet should be created |
helpPoint2 | Should be a point on the second curve. Indicates where the fillet should be created |
pointOnArc | Point on fillet arc |
radius | Radius of the fillet |
doTrim | Indicates whether the input curves should get trimmed by the fillet |
createRadiusDim | Indicates whether a radius dimension should be created |
alternateSolution | Indicates whether the alternate solution should be used instead of the regular solution. The alternate solution for an arc is the portion of the full circle that is left out of the regular solution. |
constraints | The constraints that were created by the fillet. If the input curves get trimmed, coincident and tangent constraints are created. If the input curves do not get trimmed, point on curve and tangent constraints are created. |
std::vector<NXOpen::Arc *> NXOpen::Sketch::Fillet | ( | NXOpen::Curve * | curve1, |
NXOpen::Curve * | curve2, | ||
NXOpen::Curve * | curve3, | ||
const NXOpen::Point3d & | helpPoint1, | ||
const NXOpen::Point3d & | helpPoint2, | ||
const NXOpen::Point3d & | helpPoint3, | ||
double | radius, | ||
NXOpen::Sketch::TrimInputOption | doTrim, | ||
NXOpen::Sketch::DeleteThirdCurveOption | doDelete, | ||
NXOpen::Sketch::CreateDimensionOption | createRadiusDim, | ||
NXOpen::Sketch::AlternateSolutionOption | alternateSolution, | ||
std::vector< NXOpen::SketchConstraint * > & | constraints | ||
) |
Fillets curves and creates appropriate constraints.
If the input curves have mirror constraints, the fillet is also performed on the mirror curves.
curve1 | First curve for the fillet |
curve2 | Second curve for the fillet |
curve3 | Third curve for the fillet |
helpPoint1 | Should be a point on the first curve. Indicates where the fillet should be created |
helpPoint2 | Should be a point on the second curve. Indicates where the fillet should be created |
helpPoint3 | Should be a point on the third curve. Indicates where the fillet should be created |
radius | Radius of the fillet |
doTrim | Indicates whether the input curves should get trimmed by the fillet |
doDelete | Indicates whether the third curve should be deleted |
createRadiusDim | Indicates whether a radius dimension should be created |
alternateSolution | Indicates whether the alternate solution should be used instead of the regular solution. The alternate solution for an arc is the portion of the full circle that is left out of the regular solution. |
constraints | The constraints that were created by the fillet. If the input curves get trimmed, coincident and tangent constraints are created. If the input curves do not get trimmed, point on curve and tangent constraints are created. |
std::vector<NXOpen::Arc *> NXOpen::Sketch::Fillet | ( | NXOpen::Curve * | curve1, |
NXOpen::Curve * | curve2, | ||
NXOpen::Curve * | curve3, | ||
const NXOpen::Point3d & | helpPoint1, | ||
const NXOpen::Point3d & | helpPoint2, | ||
const NXOpen::Point3d & | helpPoint3, | ||
const NXOpen::Point3d & | pointOnArc, | ||
double | radius, | ||
NXOpen::Sketch::TrimInputOption | doTrim, | ||
NXOpen::Sketch::DeleteThirdCurveOption | doDelete, | ||
NXOpen::Sketch::CreateDimensionOption | createRadiusDim, | ||
NXOpen::Sketch::AlternateSolutionOption | alternateSolution, | ||
std::vector< NXOpen::SketchConstraint * > & | constraints | ||
) |
Fillets curves and creates appropriate constraints.
If the input curves have mirror constraints, the fillet is also performed on the mirror curves.
curve1 | First curve for the fillet |
curve2 | Second curve for the fillet |
curve3 | Third curve for the fillet |
helpPoint1 | Should be a point on the first curve. Indicates where the fillet should be created |
helpPoint2 | Should be a point on the second curve. Indicates where the fillet should be created |
helpPoint3 | Should be a point on the third curve. Indicates where the fillet should be created |
pointOnArc | Point on fillet arc |
radius | Radius of the fillet |
doTrim | Indicates whether the input curves should get trimmed by the fillet |
doDelete | Indicates whether the third curve should be deleted |
createRadiusDim | Indicates whether a radius dimension should be created |
alternateSolution | Indicates whether the alternate solution should be used instead of the regular solution. The alternate solution for an arc is the portion of the full circle that is left out of the regular solution. |
constraints | The constraints that were created by the fillet. If the input curves get trimmed, coincident and tangent constraints are created. If the input curves do not get trimmed, point on curve and tangent constraints are created. |
void NXOpen::Sketch::FlipNormal | ( | ) |
Flips the outward normal vector of the sketch
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
void NXOpen::Sketch::FlipReferenceDirection | ( | ) |
Flips the reference direction of the sketch
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
std::vector<NXOpen::SketchConstraint *> NXOpen::Sketch::GetAllConstraintsOfType | ( | NXOpen::Sketch::ConstraintClass | conClass, |
NXOpen::Sketch::ConstraintType | conType | ||
) |
Gets all constraints in the sketch of a particular type.
conClass | Optional filter. Use Sketch::ConstraintClassAny if you do not want to filter by constraint class |
conType | Optional filter. Use Sketch::ConstraintTypeNoCon if you do not want to filter by constraint type |
std::vector<NXOpen::Expression *> NXOpen::Sketch::GetAllExpressions | ( | ) |
Returns all the expressions in the sketch.
std::vector<NXOpen::NXObject *> NXOpen::Sketch::GetAllGeometry | ( | ) |
Returns all the curves and points in the sketch.
std::vector<NXOpen::SketchConstraint *> NXOpen::Sketch::GetConstraintsForGeometry | ( | NXOpen::SmartObject * | geometry, |
NXOpen::Sketch::ConstraintClass | conClass | ||
) |
Gets all the constraints associated with a particular geometric item.
geometry | Must be a curve or point |
conClass | Optional filter. Use Sketch::ConstraintClassAny if you do not want to filter by constraint class |
NXOpen::Vector3d NXOpen::Sketch::GetReferenceDirection | ( | NXOpen::IReferenceAxis ** | referenceAxis, |
NXOpen::AxisOrientation * | referenceAxisOrientation, | ||
NXOpen::Sense * | referenceAxisSense | ||
) |
Gets the reference direction of the sketch.
referenceAxis | An edge, datum axis, datum plane, or face that the sketch uses as a reference. May be NULL. |
referenceAxisOrientation | Indicates whether the reference axis is horizontal or vertical |
referenceAxisSense | If reference axis is an edge or datum axis, this parameter indicates whether the reference axis is in the same direction as the edge or datum axis or in the opposite direction. If reference axis is not an edge or datum axis, this parameter is not used. |
NXOpen::Sketch::Status NXOpen::Sketch::GetStatus | ( | int * | dofNeeded | ) |
Gets the status of the sketch and the number of degrees of freedom that remain in the sketch.
The status of the sketch indicates whether the sketch is fully constrained or under, over, or inconsistently constrained.
dofNeeded | The number of degrees of freedom left in the sketch |
void NXOpen::Sketch::HideDimensions | ( | const std::vector< NXOpen::DisplayableObject * > & | inputObjects | ) |
Blanks dimensions in the active sketch associated with the input sketch geometry.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
inputObjects | Geometry and groups in active sketch |
void NXOpen::Sketch::HideDimensions | ( | ) |
Blanks all the dimensions of input sketch
Created in NX6.0.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
void NXOpen::Sketch::HideDimensions | ( | const std::vector< NXOpen::Sketch::ConstraintGeometry > & | objects | ) |
Blanks dimensions in the active sketch associated with the input sketch geometry.
This function can accept vertices
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
objects | Geometry and vertices in active sketch |
bool NXOpen::Sketch::IsActive | ( | ) |
Returns true if the sketch is active
Created in NX3.0.0.
License requirements : None
bool NXOpen::Sketch::IsDraftingSketch | ( | ) |
Returns true if drafting sketch
Created in NX6.0.0.
License requirements : None
bool NXOpen::Sketch::IsInternal | ( | ) |
Returns true if the sketch is internal.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Sketch::LocalUpdate | ( | ) |
Update the sketch and not the sketch children.
If a different sketch is active the SKETCH_NOT_INITIALIZED error will return. The function works even if the sketch is not active.
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
void NXOpen::Sketch::MakeDatumsExternal | ( | ) |
Makes the internal sketch placement face and directional reference datums external.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Sketch::MakeDatumsInternal | ( | ) |
Makes the sketch placement face and directional reference internal to the sketch if they are both datums referenced only by the sketch.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
std::vector<NXOpen::SmartObject *> NXOpen::Sketch::MirrorObjects | ( | NXOpen::DisplayableObject * | centerline, |
const std::vector< NXOpen::SmartObject * > & | objectsToMirror | ||
) |
Creates a reflection of the input geometry.
<br> This API is now deprecated. Please use @link SketchMirrorBuilder SketchMirrorBuilder@endlink instead. <br> @return The mirrored geometry that was created
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
centerline | Axis of reflection for the mirror. Must be a linear curve, edge, datum axis or datum plane |
objectsToMirror | Points and curves to mirror. None of the curves may be used as a centerline for another mirror operation |
NXOpen::NXMatrix* NXOpen::Sketch::Orientation | ( | ) |
Returns the orientation matrix of the local coordinate system of the sketch
Created in NX3.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Sketch::Origin | ( | ) |
Returns the location of the origin of the local coordinate system for the sketch
Created in NX3.0.0.
License requirements : None
NXOpen::Preferences::SketchPreferences* NXOpen::Sketch::Preferences | ( | ) |
Contains preferences for the sketch
Created in NX3.0.0.
void NXOpen::Sketch::Reattach | ( | NXOpen::ISurface * | attachmentPlane, |
NXOpen::IReferenceAxis * | referenceAxis, | ||
const NXOpen::Vector3d & | referenceDirection, | ||
NXOpen::AxisOrientation | referenceAxisOrientation, | ||
NXOpen::Sense | referenceAxisSense, | ||
NXOpen::PlaneNormalOrientation | normalOrientation, | ||
const NXOpen::Point3d & | localCoordinateSystemOrigin | ||
) |
Reattaches a sketch.
For documentation for the parameters for this method, see the documentation for SketchCollection::CreateSketch
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
attachmentPlane | attachment plane |
referenceAxis | reference axis |
referenceDirection | reference direction |
referenceAxisOrientation | reference axis orientation |
referenceAxisSense | reference axis sense |
normalOrientation | normal orientation |
localCoordinateSystemOrigin | Origin of the sketch's local coordinate system |
void NXOpen::Sketch::RunAutoDimension | ( | ) |
Run auto dimensioning.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
void NXOpen::Sketch::SetCreateInferConstraintsSetting | ( | NXOpen::Sketch::CreateInferConstraintSetting | createInferCon | ) |
Sets the toggle that controls the creation of infer constraints in sketch
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
createInferCon | create infer con |
void NXOpen::Sketch::SetDOFDisplay | ( | bool | displayDof | ) |
Sets a flag indicating whether the degree of freedom arrows are currently being displayed
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
displayDof | display dof |
void NXOpen::Sketch::SetReferenceDirection | ( | NXOpen::IReferenceAxis * | referenceAxis, |
const NXOpen::Vector3d & | referenceDirection, | ||
NXOpen::AxisOrientation | referenceAxisOrientation, | ||
NXOpen::Sense | referenceAxisSense | ||
) |
Sets the reference direction of the sketch.
For documentation for the parameters for this method, see the documentation for SketchCollection::CreateSketch .
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
referenceAxis | reference axis |
referenceDirection | reference direction |
referenceAxisOrientation | reference axis orientation |
referenceAxisSense | reference axis sense |
void NXOpen::Sketch::SetUpdateScope | ( | NXOpen::Sketch::UpdateLevel | updateScope | ) |
Sets the current update scope.
Used in Direct Sketch to control update
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
updateScope | update scope |
void NXOpen::Sketch::SetVisibilityOfConstraints | ( | NXOpen::Sketch::ConstraintVisibility | visibility | ) |
Sets the visibility of the constraints in the sketch
Use NXOpen::Preferences::SessionSketch::SetDisplayConstraintSymbols instead.
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
visibility | visibility |
void NXOpen::Sketch::ShowDimensions | ( | const std::vector< NXOpen::DisplayableObject * > & | inputObjects | ) |
Unblanks dimensions in the active sketch associated with the input sketch geometry
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
inputObjects | Geometry and groups in active sketch |
void NXOpen::Sketch::ShowDimensions | ( | ) |
Unblanks all the dimensions of input sketch
Created in NX6.0.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
void NXOpen::Sketch::ShowDimensions | ( | const std::vector< NXOpen::Sketch::ConstraintGeometry > & | objects | ) |
Unblanks dimensions in the active sketch associated with the input sketch geometry.
This function can accept vertices.
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
objects | Geometry and vertices in active sketch |
void NXOpen::Sketch::Update | ( | ) |
Updates the sketch
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
void NXOpen::Sketch::Update | ( | const std::vector< NXOpen::NXObject * > & | geoms | ) |
Updates the given set of geometries in the sketch
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
geoms | Geoms that need to be updated |
void NXOpen::Sketch::UpdateConstraintDisplay | ( | ) |
Updates the constraint display without updating the sketch
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
void NXOpen::Sketch::UpdateConstraintDisplay | ( | const std::vector< NXOpen::SmartObject * > & | geoms | ) |
Updates the constraint display of given set of geoms without updating the sketch
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
geoms | Geoms for which cons must be re-displayed |
void NXOpen::Sketch::UpdateDimensionDisplay | ( | ) |
Updates the dimension display without updating the sketch
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
void NXOpen::Sketch::UpdateDimensionDisplay | ( | const std::vector< NXOpen::SmartObject * > & | geoms | ) |
Updates the dimension display of given set of geoms without updating the sketch
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
geoms | Geoms for which cons must be re-displayed |
void NXOpen::Sketch::UpdateDimensionDisplay | ( | const std::vector< NXOpen::NXObject * > & | dims | ) |
Updates the dimension display of given set of dims without updating the sketch
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
dims | Dims for which cons must be re-displayed |
void NXOpen::Sketch::UpdateGeometryDisplay | ( | ) |
Updates the geometry display without updating the sketch
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
void NXOpen::Sketch::UpdateGeometryDisplay | ( | const std::vector< NXOpen::SmartObject * > & | geoms | ) |
Updates the geometry display of given set of geoms without updating the sketch
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
geoms | Geoms for which cons must be re-displayed |
NXOpen::Sketch::UpdateLevel NXOpen::Sketch::UpdateScope | ( | ) |
Returns the current update scope.
Used in Direct Sketch to control update
Created in NX8.0.0.
License requirements : None
NXOpen::View* NXOpen::Sketch::View | ( | ) |
Returns the view corresponding to sketch
Created in NX6.0.0.
License requirements : None
NXOpen::Sketch::ConstraintVisibility NXOpen::Sketch::VisibilityOfConstraints | ( | ) |
Returns the visibility of the constraints in the sketch
Use NXOpen::Preferences::SessionSketch::DisplayConstraintSymbols instead.
Created in NX3.0.0.
License requirements : None